toolzerhub API Docs

List user posts

Returns posts submitted by required username. Use sort for ordering and after for pagination.

2 credits / requestBilled only on success
GET
/v2/reddit/user/posts

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

username*string

Reddit username without the u/ prefix.

Length1 <= length
sort?string

Sort order for the user's submissions.

Value in

  • "NEW"
  • "TOP"
  • "HOT"
  • "CONTROVERSIAL"
after?string

Cursor from the previous response used to fetch the next page.

curl -X GET "https://example.com/v2/reddit/user/posts?username=Turbulent_Nerve3744" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "elements": {      "edges": [        {          "property1": null,          "property2": null        }      ],      "pageInfo": {        "property1": null,        "property2": null      },      "dist": 0,      "property1": null,      "property2": null    },    "property1": null,    "property2": null  }}